<template>
	<view class="page">
		<navbar title="列表" leftClick @leftClick="$utils.navigateBack" />
		
		<view class="search">
			<uv-search
			placeholder="请输入搜索任务号" 
			bgColor="#fff"
			@search="getData"
			@custom="getData"
			@clear="getData"
			v-model="queryParams.taskNo"></uv-search>
		</view>
		
		<!-- 标签选项 -->
		<!-- <view class="Tabs">
			<uv-tabs :list="statusList"
			@click="clickTab"></uv-tabs>
		</view> -->

		<view class="Urgent-Work-Order">
			<WorkOrderTotalItem 
			:key="index"
			v-for="(item,index) in list" :obj="item"
			@click="$utils.navigateTo('/pages_order/order/WorkOrders?id=' + item.id)"/>
		</view>


		<tabber select="1" />
	</view>
</template>

<script>
	import WorkOrderTotalItem from '@/components/work/WorkOrderTotalItem.vue'
	import mixinsList from '@/mixins/list.js'
	import { mapState } from 'vuex'
	export default {
		mixins: [mixinsList],
		components: {
			WorkOrderTotalItem,
		},
		data() {
			return {
				mixinsListApi: 'queryTemplateList',
			}
		},
		computed: {
			...mapState(['statusList']),
		},
		methods: {
			clickTab(item){
				if(item.id){
					this.queryParams.statusId = item.id
				}else{
					delete this.queryParams.statusId
				}
				this.getData()
			},
		}
	}
</script>

<style scoped lang="scss">
	.page {
		padding-bottom: 100rpx;
		.search{
			margin: 20rpx;
		}
		.Tabs {
		}
		.Urgent-Work-Order {
		}
	}
</style>